## librepo 1.12.1

=== librepo/python/python2/CMakeLists.txt ===
EXECUTE_PROCESS(COMMAND ${PYTHON_EXECUTABLE} -c "
from sys import stdout
from distutils import sysconfig
path=sysconfig.get_python_lib(True, prefix='${CMAKE_INSTALL_PREFIX}')
stdout.write(path)"
OUTPUT_VARIABLE PYTHON_INSTALL_DIR)
INCLUDE_DIRECTORIES (${PYTHON_INCLUDE_PATH})

MESSAGE(STATUS "Python install dir is ${PYTHON_INSTALL_DIR}")

set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fno-strict-aliasing")
set (CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -fno-strict-aliasing")
set (CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -fno-strict-aliasing")

SET (librepo_COPIES ${pylibrepo_SRCDIR}/__init__.py)
FILE(COPY ${librepo_COPIES} DESTINATION ./librepo/)

ADD_LIBRARY(_librepomodule SHARED ${librepomodule_SRCS})
SET_TARGET_PROPERTIES(_librepomodule PROPERTIES PREFIX "")
SET_TARGET_PROPERTIES(_librepomodule PROPERTIES LIBRARY_OUTPUT_DIRECTORY "./librepo")
TARGET_LINK_LIBRARIES(_librepomodule librepo)
TARGET_LINK_LIBRARIES(_librepomodule
                        ${EXPAT_LIBRARIES}
                        ${CURL_LIBRARY}
                        ${PYTHON_LIBRARY}
                     )

INSTALL(FILES ${pylibrepo_SRCDIR}/__init__.py DESTINATION ${PYTHON_INSTALL_DIR}/librepo)
INSTALL(TARGETS _librepomodule LIBRARY DESTINATION ${PYTHON_INSTALL_DIR}/librepo)

=== tests/python/tests/CMakeLists.txt ===
CONFIGURE_FILE("run_nosetests.sh.in"  "run_nosetests.sh")
ADD_TEST(test_python run_nosetests.sh -s ${CMAKE_CURRENT_SOURCE_DIR})

=== debian/changelog ===
librepo (1.12.1-4) unstable; urgency=medium

  * Team upload.
  * Source upload for testing migration.

 -- Holger Levsen <holger@debian.org>  Wed, 03 Feb 2021 10:17:24 +0100

librepo (1.12.1-3) unstable; urgency=medium

  * debian/copyright: Update and specify copyright holders

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Tue, 02 Feb 2021 14:12:22 +0100

librepo (1.12.1-2) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove listed license files (COPYING) from copyright.
  * Remove unnecessary get-orig-source-target.

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Wed, 30 Dec 2020 09:40:15 -0000

librepo (1.12.1-1) unstable; urgency=medium

  * Initial upload.
  * librepo, libcomps and libdnf are all needed for dnf, see #978627 (ITP bug
    for dnf) and https://github.com/QubesOS/qubes-issues/issues/5940 for more
    details on this packaging efford.

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Sat, 26 Dec 2020 10:00:00 +0100

=== debian/control ===
Source: librepo
Section: libs
Priority: optional
Maintainer: Mihai Moldovan <ionic@ionic.de>
Uploaders: Frédéric Pierret <frederic.pierret@qubes-os.org>
Build-Depends: debhelper-compat (= 10),
 dh-python,
 python3-dev,
 libpython3-dev,
 cmake,
 pkg-config,
 libglib2.0-dev,
 libssl-dev,
 libcurl4-gnutls-dev,
 doxygen,
 libattr1-dev,
 libgpgme-dev,
 python3-sphinx,
 check,
 libxml2-dev,
 python3-flask,
 python3-nose,
 python3-pyxattr,
 python3-gpg,
Standards-Version: 4.5.1
Homepage: https://github.com/rpm-software-management/librepo
Vcs-Browser: https://salsa.debian.org/fepitre/librepo
Vcs-Git: https://salsa.debian.org/fepitre/librepo.git
#Testsuite: autopkgtest-pkg-python

Package: librepo-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 librepo0 (= ${binary:Version}),
 pkg-config,
 libglib2.0-dev,
 libssl-dev,
 libcurl4-gnutls-dev,
 libattr1-dev,
 libgpgme-dev,
Suggests: librepo-doc
Description: librepo - development files
 A library providing C and Python (libcURL-like) APIs to
 download repository metadata.
 .
 This package contains the development header files for the
 librepo library.

Package: librepo0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: librepo - shared library
 A library providing C and Python (libcURL-like) APIs to
 download repository metadata.
 .
 This package provides the librepo shared library.

Package: librepo-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
Description: Documentation for the librepo library (common documentation)
 A library providing C and Python (libcURL-like) APIs to
 download repository metadata.
 .
 This package installs common documentation for the librepo
 C bindings.

Package: python3-librepo
Architecture: any
Multi-Arch: no
Section: python
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends},
 librepo0 (= ${binary:Version}),
 python3-distutils | libpython3-stdlib (<< 3.7~),
Suggests: python3-librepo-doc
Description: Python bindings for the librepo library (Python 3)
 A library providing C and Python (libcURL-like) APIs to
 download repository metadata.
 .
 This package installs the librepo library for Python 3.

Package: python3-librepo-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends},
Description: Python 3 bindings for the librepo library (common documentation)
 A library providing C and Python (libcURL-like) APIs to
 download repository metadata.
 .
 This package installs common documentation for the librepo Python
 3 bindings.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
# export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+fixfilepath
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh "${@}" --buildsystem=cmake --with=python3

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build -- \
		-DENABLE_DOCS:BOOL=ON -DENABLE_TESTS:BOOL=ON -DWITH_ZCHUNK:BOOL=OFF -DPYTHON_DESIRED:STRING=3

override_dh_auto_build:
	dh_auto_build --builddirectory=build -- all doc

override_dh_auto_install:
	dh_auto_install --builddirectory=build
	# Use system-provides files.
	rm -fv 'build/doc/python/_static/jquery.js' \
	       'build/doc/python/_static/underscore.js' \
	       'build/doc/c/html/jquery.js' \
	       'build/doc/python/_static/doctools.js' \
	       'build/doc/python/_static/language_data.js' \
	       'build/doc/python/_static/searchtools.js'


override_dh_auto_clean:
	rm -rfv 'librepo/version.h'
	rm -rfv 'doc/c/Doxyfile.in'
	dh_auto_clean --builddirectory=build

override_dh_auto_test:
	dh_auto_test --builddirectory=build

override_dh_missing:
	dh_missing --fail-missing

override_dh_install:
	if dpkg --compare-versions "$$(dpkg-query -f='$${Version}' --show 'debhelper')" 'ge' '12'; then \
		dh_install; \
	else \
		dh_install --fail-missing ; \
	fi

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(?:v|librepo\-)?(\d\S+)\.tar\.gz/librepo-$1\.tar\.gz/ \
  https://github.com/rpm-software-management/librepo/releases .*/(?:v|librepo\-)?(\d\S+)\.tar\.gz

## librepo 1.14.5

=== CMakeLists.txt ===
PROJECT (librepo C)
CMAKE_MINIMUM_REQUIRED (VERSION 2.8.5)

OPTION (ENABLE_TESTS "Build test?" ON)
OPTION (ENABLE_DOCS "Build docs?" ON)
OPTION (WITH_ZCHUNK "Build with zchunk support" ON)
OPTION (ENABLE_PYTHON "Build Python bindings" ON)

INCLUDE (${CMAKE_SOURCE_DIR}/VERSION.cmake)
SET (VERSION "${LIBREPO_MAJOR}.${LIBREPO_MINOR}.${LIBREPO_PATCH}")

SET (CMAKE_C_FLAGS          "${CMAKE_C_FLAGS} -std=c99 -Wall")
SET (CMAKE_C_FLAGS_DEBUG    "${CMAKE_C_FLAGS} -ggdb -O0 -Wall -Wextra -DDEBUG")

IF(CMAKE_BUILD_TYPE AND (CMAKE_BUILD_TYPE STREQUAL "DEBUG" OR CMAKE_BUILD_TYPE STREQUAL "debug"))
    MESSAGE("Build type is set do DEBUG!")
ENDIF()

# Set librepo log domain

add_definitions( -DG_LOG_DOMAIN="librepo" )

# Add path with own cmake modules

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")

# Find necessare libraries

FIND_PACKAGE(PkgConfig)
PKG_CHECK_MODULES(GLIB2 glib-2.0>=2.28 REQUIRED)
PKG_SEARCH_MODULE(LIBCRYPTO REQUIRED libcrypto openssl)
PKG_CHECK_MODULES(LIBXML2 libxml-2.0 REQUIRED)
FIND_PACKAGE(CURL 7.52.0 REQUIRED)
FIND_PACKAGE(Gpgme REQUIRED)


IF (WITH_ZCHUNK)
PKG_CHECK_MODULES(ZCHUNKLIB zck>=0.9.11 REQUIRED)
SET (CMAKE_C_FLAGS          "${CMAKE_C_FLAGS} -DWITH_ZCHUNK")
SET (CMAKE_C_FLAGS_DEBUG    "${CMAKE_C_FLAGS_DEBUG} -DWITH_ZCHUNK")
ENDIF (WITH_ZCHUNK)

INCLUDE_DIRECTORIES(${GLIB2_INCLUDE_DIRS})

# Enable large file support

ADD_DEFINITIONS(-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE)

# Check libraries

IF (NOT LIBXML2_FOUND)
    MESSAGE(FATAL_ERROR "No libxml-2.0 library installed")
ENDIF (NOT LIBXML2_FOUND)

IF (NOT CURL_FOUND)
    MESSAGE(FATAL_ERROR "No CURL library installed")
ENDIF (NOT CURL_FOUND)


# Add include dirs

INCLUDE_DIRECTORIES(${LIBXML2_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${CURL_INCLUDE_DIR})
#INCLUDE_DIRECTORIES(${CHECK_INCLUDE_DIR})

include (GNUInstallDirs)
# Python stuff

IF (ENABLE_PYTHON)
    FIND_PACKAGE (PythonInterp 3 EXACT REQUIRED)
    FIND_PACKAGE (PythonLibs REQUIRED)
ENDIF (ENABLE_PYTHON)

# Subdirs

ADD_SUBDIRECTORY (librepo)

IF (ENABLE_TESTS)
  PKG_CHECK_MODULES(LIBCHECK REQUIRED check)
  ENABLE_TESTING()
  ADD_SUBDIRECTORY (tests)
ENDIF (ENABLE_TESTS)

IF (ENABLE_DOCS)
  ADD_SUBDIRECTORY (doc)
ENDIF (ENABLE_DOCS)

=== tests/python/tests/CMakeLists.txt ===
CONFIGURE_FILE("run_unittests.sh.in"  "run_unittests.sh")
ADD_TEST(test_python run_unittests.sh -s ${CMAKE_CURRENT_SOURCE_DIR})

=== debian/changelog ===
librepo (1.14.5-3) unstable; urgency=medium

  * Update patch for test_yum_package_downloading.py thanks to
    Adrian Bunk. Closes: #1028023.

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Tue, 10 Jan 2023 09:23:24 +0100

librepo (1.14.5-2) unstable; urgency=medium

  * Set myself to maintainer.
  * Add 0005-test_yum_package_downloading.py-Don-t-hardcode-a-val.patch
    thanks to Adrian Bunk. Closes: #1028023.

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Sat, 07 Jan 2023 19:27:50 +0100

librepo (1.14.5-1) unstable; urgency=medium

  * Team upload.

  [ Frédéric Pierret ]
  * Update to librepo-1.14.5.
  * Update debian/control: bump debhelper-compat to 13.
  * Update debian/rules: remove reproducible flag being the default
    and remove not needed anymore PYTHON_DESIRED from dh_auto_configure.
  * Update debian/watch: update to use tags endpoint.

  [ Holger Levsen ]
  * Add debian/patches/0004-find-gpgme-pkg-conf.patch thanks to
    Andreas Metzler. Closes: #1024576.

 -- Holger Levsen <holger@debian.org>  Thu, 05 Jan 2023 17:14:04 +0100

librepo (1.14.0-1) experimental; urgency=high

  * Update to librepo-1.14.0

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Wed, 14 Apr 2021 15:16:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: librepo
 Section: libs
 Priority: optional
-Maintainer: Mihai Moldovan <ionic@ionic.de>
-Uploaders: Frédéric Pierret <frederic.pierret@qubes-os.org>
-Build-Depends: debhelper-compat (= 10),
+Maintainer: Frédéric Pierret <frederic.pierret@qubes-os.org>
+Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3-dev,
  libpython3-dev,

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
# export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh "${@}" --buildsystem=cmake --with=python3

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build -- \
		-DENABLE_DOCS:BOOL=ON -DENABLE_TESTS:BOOL=ON -DWITH_ZCHUNK:BOOL=OFF

override_dh_auto_build:
	dh_auto_build --builddirectory=build -- all doc

override_dh_auto_install:
	dh_auto_install --builddirectory=build

	# Use system-provides files.
	rm -fv 'build/doc/python/_static/jquery.js' \
	       'build/doc/python/_static/underscore.js' \
	       'build/doc/c/html/jquery.js' \
	       'build/doc/python/_static/doctools.js' \
	       'build/doc/python/_static/language_data.js' \
	       'build/doc/python/_static/searchtools.js'

override_dh_auto_clean:
	rm -rfv 'librepo/version.h'
	rm -rfv 'doc/c/Doxyfile.in'
	dh_auto_clean --builddirectory=build

override_dh_auto_test:
	dh_auto_test --builddirectory=build

override_dh_missing:
	dh_missing --fail-missing

## librepo 1.18.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,14 @@
+CMAKE_MINIMUM_REQUIRED (VERSION 2.8.5...3.26)
 PROJECT (librepo C)
-CMAKE_MINIMUM_REQUIRED (VERSION 2.8.5)
 
 OPTION (ENABLE_TESTS "Build test?" ON)
 OPTION (ENABLE_DOCS "Build docs?" ON)
+OPTION (ENABLE_EXAMPLES "Build examples?" ON)
 OPTION (WITH_ZCHUNK "Build with zchunk support" ON)
 OPTION (ENABLE_PYTHON "Build Python bindings" ON)
+OPTION (USE_GPGME "Use GpgMe (instead of rpm library) for OpenPGP key support" ON)
+OPTION (USE_RUN_GNUPG_USER_SOCKET "Create a directory for gpg-agent socket in /run/gnugp/user (instead of /run/user)" OFF)
+OPTION (ENABLE_SELINUX "Restore SELinux labels on GnuPG directories" ON)
 
 INCLUDE (${CMAKE_SOURCE_DIR}/VERSION.cmake)
 SET (VERSION "${LIBREPO_MAJOR}.${LIBREPO_MINOR}.${LIBREPO_PATCH}")
@@ -28,17 +32,51 @@
 # Find necessare libraries
 
 FIND_PACKAGE(PkgConfig)
-PKG_CHECK_MODULES(GLIB2 glib-2.0>=2.28 REQUIRED)
+PKG_CHECK_MODULES(GLIB2 glib-2.0>=2.66 gio-2.0 REQUIRED)
 PKG_SEARCH_MODULE(LIBCRYPTO REQUIRED libcrypto openssl)
 PKG_CHECK_MODULES(LIBXML2 libxml-2.0 REQUIRED)
 FIND_PACKAGE(CURL 7.52.0 REQUIRED)
-FIND_PACKAGE(Gpgme REQUIRED)
 
+IF (USE_GPGME)
+    FIND_PACKAGE(Gpgme REQUIRED)
+    IF (ENABLE_SELINUX)
+        PKG_CHECK_MODULES(SELINUX REQUIRED libselinux)
+    ENDIF(ENABLE_SELINUX)
+ELSE (USE_GPGME)
+    PKG_CHECK_MODULES(RPM REQUIRED rpm>=4.18.0)
+
+    INCLUDE(CheckSymbolExists)
+    SET(CMAKE_REQUIRED_INCLUDES "${RPM_INCLUDE_DIRS}")
+    SET(CMAKE_REQUIRED_LIBRARIES "${RPM_LIBRARIES}")
+
+    # pgpPrtParams2 added after rpm 4.19.0-alpha
+    CHECK_SYMBOL_EXISTS(pgpPrtParams2 rpm/rpmpgp.h HAVE_PGPPRTPARAMS2)
+    IF (HAVE_PGPPRTPARAMS2)
+        ADD_DEFINITIONS(-DHAVE_PGPPRTPARAMS2)
+    ENDIF()
+
+    # pgpVerifySignature2 added after rpm 4.19.0-alpha
+    CHECK_SYMBOL_EXISTS(pgpVerifySignature2 rpm/rpmpgp.h HAVE_PGPVERIFYSIGNATURE2)
+    IF (HAVE_PGPVERIFYSIGNATURE2)
+        ADD_DEFINITIONS(-DHAVE_PGPVERIFYSIGNATURE2)
+    ENDIF()
+
+    UNSET(CMAKE_REQUIRED_INCLUDES)
+    UNSET(CMAKE_REQUIRED_LIBRARIES)
+ENDIF (USE_GPGME)
+
+IF (USE_RUN_GNUPG_USER_SOCKET)
+    SET (CMAKE_C_FLAGS          "${CMAKE_C_FLAGS} -DUSE_RUN_GNUPG_USER_SOCKET")
+    SET (CMAKE_C_FLAGS_DEBUG    "${CMAKE_C_FLAGS_DEBUG} -DUSE_RUN_GNUPG_USER_SOCKET")
+ENDIF (USE_RUN_GNUPG_USER_SOCKET)
 
 IF (WITH_ZCHUNK)
-PKG_CHECK_MODULES(ZCHUNKLIB zck>=0.9.11 REQUIRED)
-SET (CMAKE_C_FLAGS          "${CMAKE_C_FLAGS} -DWITH_ZCHUNK")
-SET (CMAKE_C_FLAGS_DEBUG    "${CMAKE_C_FLAGS_DEBUG} -DWITH_ZCHUNK")
+    PKG_CHECK_MODULES(ZCHUNKLIB zck>=0.9.11 REQUIRED)
+    SET (CMAKE_C_FLAGS          "${CMAKE_C_FLAGS} -DWITH_ZCHUNK")
+    SET (CMAKE_C_FLAGS_DEBUG    "${CMAKE_C_FLAGS_DEBUG} -DWITH_ZCHUNK")
+    SET (LIBREPO_ZCHUNK_ENABLED "1")
+ELSE (WITH_ZCHUNK)
+    SET (LIBREPO_ZCHUNK_ENABLED "0")
 ENDIF (WITH_ZCHUNK)
 
 INCLUDE_DIRECTORIES(${GLIB2_INCLUDE_DIRS})
@@ -57,12 +95,22 @@
     MESSAGE(FATAL_ERROR "No CURL library installed")
 ENDIF (NOT CURL_FOUND)
 
+# Generate header files with the configured ABI (e.g. with/without zchunk).
+
+configure_file("librepo/downloadtarget.h.in" "librepo/downloadtarget.h" @ONLY)
+configure_file("librepo/handle.h.in" "librepo/handle.h" @ONLY)
+configure_file("librepo/util.h.in" "librepo/util.h" @ONLY)
+INCLUDE_DIRECTORIES("${CMAKE_CURRENT_BINARY_DIR}" "${CMAKE_CURRENT_BINARY_DIR}/librepo")
 
 # Add include dirs
 
 INCLUDE_DIRECTORIES(${LIBXML2_INCLUDE_DIRS})
 INCLUDE_DIRECTORIES(${CURL_INCLUDE_DIR})
 #INCLUDE_DIRECTORIES(${CHECK_INCLUDE_DIR})
+IF (USE_GPGME AND ENABLE_SELINUX)
+    INCLUDE_DIRECTORIES(${SELINUX_INCLUDE_DIRS})
+    ADD_DEFINITIONS(-DENABLE_SELINUX=1)
+ENDIF (USE_GPGME AND ENABLE_SELINUX)
 
 include (GNUInstallDirs)
 # Python stuff
@@ -85,3 +133,7 @@
 IF (ENABLE_DOCS)
   ADD_SUBDIRECTORY (doc)
 ENDIF (ENABLE_DOCS)
+
+IF (ENABLE_EXAMPLES)
+  ADD_SUBDIRECTORY (examples/c)
+ENDIF (ENABLE_EXAMPLES)

=== debian/changelog ===
librepo (1.18.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.18.0'

 -- Luca Boccassi <bluca@debian.org>  Mon, 08 Jul 2024 13:09:30 +0100

librepo (1.17.2-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.17.2'
  * Refresh patches for new release

 -- Luca Boccassi <bluca@debian.org>  Sat, 29 Jun 2024 13:01:10 +0100

librepo (1.17.1-1) unstable; urgency=medium

  * Move package to pkg-rpm-team
  * Switch to git-buildpackage workflow
  * Update upstream source from tag 'upstream/1.17.1'
  * Switch to pkgconf
  * Refresh patches for 1.17.1
  * Update symbols for 1.17.1
  * Drop dependency on distutils, deprecated (Closes: #1065894)
  * Drop dependency on python3-nose, deprecated (Closes: #1018400)
  * librepo-doc: add dependency on libjs-jquery (Closes: #989331)
  * Drop dh_missing, default since compat 13
  * Enable ELF metadata stamping
  * Switch to dh-sequence-python3
  * Set Rules-Requires-Root: no
  * Bump Standards-Version to 4.7.0
  * Drop dependency on pkg-config from librepo-dev, not needed
  * Drop debian revision from librepo0 symbol
  * Drop python3-librepo.lintian-overrides, not needed anymore

 -- Luca Boccassi <bluca@debian.org>  Mon, 15 Apr 2024 00:24:03 +0100

librepo (1.14.5-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move python3 modules from /usr/lib/local/ (Closes: #1052911)

 -- Luca Boccassi <bluca@debian.org>  Sun, 29 Oct 2023 15:42:43 +0000

## librepo 1.18.1

=== debian/changelog ===
librepo (1.18.1-1) unstable; urgency=high

  * Update upstream source from tag 'upstream/1.18.1'

 -- Luca Boccassi <bluca@debian.org>  Mon, 26 Aug 2024 11:42:25 +0100

## librepo 1.19.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
 OPTION (USE_GPGME "Use GpgMe (instead of rpm library) for OpenPGP key support" ON)
 OPTION (USE_RUN_GNUPG_USER_SOCKET "Create a directory for gpg-agent socket in /run/gnugp/user (instead of /run/user)" OFF)
 OPTION (ENABLE_SELINUX "Restore SELinux labels on GnuPG directories" ON)
+OPTION (WITH_SANITIZERS "Build with address, leak and undefined sanitizers (DEBUG ONLY)" OFF)
 
 INCLUDE (${CMAKE_SOURCE_DIR}/VERSION.cmake)
 SET (VERSION "${LIBREPO_MAJOR}.${LIBREPO_MINOR}.${LIBREPO_PATCH}")
@@ -95,6 +96,12 @@
     MESSAGE(FATAL_ERROR "No CURL library installed")
 ENDIF (NOT CURL_FOUND)
 
+IF (WITH_SANITIZERS)
+    MESSAGE(WARNING "Building with sanitizers enabled!")
+    ADD_COMPILE_OPTIONS(-fsanitize=address -fsanitize=undefined -fsanitize=leak)
+    LINK_LIBRARIES(asan ubsan)
+ENDIF()
+
 # Generate header files with the configured ABI (e.g. with/without zchunk).
 
 configure_file("librepo/downloadtarget.h.in" "librepo/downloadtarget.h" @ONLY)

=== librepo/CMakeLists.txt ===
LIST(APPEND librepo_SRCS
     checksum.c
     downloader.c
     downloadtarget.c
     fastestmirror.c
     gpg.c
     handle.c
     lrmirrorlist.c
     metalink.c
     metadata_downloader.c
     mirrorlist.c
     package_downloader.c
     rcodes.c
     repoconf.c
     repomd.c
     repoutil_yum.c
     result.c
     url_substitution.c
     util.c
     xmlparser.c
     yum.c)

IF(USE_GPGME)
    LIST(APPEND librepo_SRCS gpg_gpgme.c)
ELSE(USE_GPGME)
    LIST(APPEND librepo_SRCS gpg_rpm.c)
ENDIF(USE_GPGME)

LIST(APPEND librepo_HEADERS
    checksum.h
    fastestmirror.h
    gpg.h
    ${CMAKE_CURRENT_BINARY_DIR}/handle.h
    librepo.h
    metadata_downloader.h
    metalink.h
    mirrorlist.h
    package_downloader.h
    rcodes.h
    repoconf.h
    repomd.h
    repoutil_yum.h
    result.h
    types.h
    url_substitution.h
    ${CMAKE_CURRENT_BINARY_DIR}/util.h
    version.h
    xmlparser.h
    yum.h
    downloader.h
    ${CMAKE_CURRENT_BINARY_DIR}/downloadtarget.h)

LIST(APPEND librepo_internal_HEADERS
    downloader_internal.h
    downloadtarget_internal.h
    fastestmirror_internal.h
    gpg_internal.h
    handle_internal.h
    repoconf_internal.h
    result_internal.h
    xattr_internal.h
    xmlparser_internal.h
    yum_internal.h)

ADD_LIBRARY(librepo SHARED ${librepo_SRCS} ${librepo_HEADERS} ${librepo_internal_HEADERS})
TARGET_LINK_LIBRARIES(librepo
                        ${LIBXML2_LIBRARIES}
                        ${CURL_LIBRARY}
                        ${LIBCRYPTO_LIBRARIES}
                        ${GLIB2_LIBRARIES}
                     )
IF (USE_GPGME)
    TARGET_LINK_LIBRARIES(librepo ${GPGME_VANILLA_LIBRARIES})
    IF (ENABLE_SELINUX)
        TARGET_LINK_LIBRARIES(librepo ${SELINUX_LIBRARIES})
    ENDIF(ENABLE_SELINUX)
ELSE(USE_GPGME)
    TARGET_LINK_LIBRARIES(librepo ${RPM_LIBRARIES})
ENDIF (USE_GPGME)

IF (WITH_ZCHUNK)
    TARGET_LINK_LIBRARIES(librepo ${ZCHUNKLIB_LIBRARIES})
    SET(PKGCONF_DEPENDENCY_ZCK "zck")
ENDIF (WITH_ZCHUNK)

SET_TARGET_PROPERTIES(librepo PROPERTIES OUTPUT_NAME "repo")
SET_TARGET_PROPERTIES(librepo PROPERTIES SOVERSION 0)
#SET_TARGET_PROPERTIES(librepo PROPERTIES VERSION "0")

CONFIGURE_FILE("librepo.pc.cmake" "${CMAKE_BINARY_DIR}/librepo.pc" @ONLY)
CONFIGURE_FILE("version.h.in" "${CMAKE_CURRENT_SOURCE_DIR}/version.h" @ONLY)

IF (CMAKE_SIZEOF_VOID_P MATCHES "8")
  SET (LIB_SUFFIX "64")
ENDIF (CMAKE_SIZEOF_VOID_P MATCHES "8")

INSTALL(FILES ${librepo_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/librepo)
INSTALL(TARGETS librepo LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
INSTALL(FILES "${CMAKE_BINARY_DIR}/librepo.pc"
	DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")

IF (ENABLE_PYTHON)
    ADD_SUBDIRECTORY(python)
ENDIF (ENABLE_PYTHON)

=== debian/changelog ===
librepo (1.19.0-1build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 12:01:38 +0100

librepo (1.19.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.19.0'
  * Refresh patches to remove fuzz from new version

 -- Luca Boccassi <bluca@debian.org>  Thu, 07 Nov 2024 11:45:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: librepo
 Section: libs
 Priority: optional
-Maintainer: Frédéric Pierret <frederic.pierret@qubes-os.org>
+Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
+Uploaders: Frédéric Pierret <frederic.pierret@qubes-os.org>,
+           Luca Boccassi <bluca@debian.org>,
 Build-Depends: debhelper-compat (= 13),
- dh-python,
+ dh-package-notes,
+ dh-sequence-python3,
  python3-dev,
  libpython3-dev,
  cmake,
- pkg-config,
+ pkgconf,
  libglib2.0-dev,
  libssl-dev,
  libcurl4-gnutls-dev,
@@ -18,13 +21,13 @@
  check,
  libxml2-dev,
  python3-flask,
- python3-nose,
  python3-pyxattr,
  python3-gpg,
-Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
 Homepage: https://github.com/rpm-software-management/librepo
-Vcs-Browser: https://salsa.debian.org/fepitre/librepo
-Vcs-Git: https://salsa.debian.org/fepitre/librepo.git
+Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/librepo
+Vcs-Git: https://salsa.debian.org/pkg-rpm-team/librepo.git
 #Testsuite: autopkgtest-pkg-python
 
 Package: librepo-dev
@@ -33,7 +36,6 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
  librepo0 (= ${binary:Version}),
- pkg-config,
  libglib2.0-dev,
  libssl-dev,
  libcurl4-gnutls-dev,
@@ -61,7 +63,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}, libjs-jquery,
 Description: Documentation for the librepo library (common documentation)
  A library providing C and Python (libcURL-like) APIs to
  download repository metadata.
@@ -75,7 +77,6 @@
 Section: python
 Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends},
  librepo0 (= ${binary:Version}),
- python3-distutils | libpython3-stdlib (<< 3.7~),
 Suggests: python3-librepo-doc
 Description: Python bindings for the librepo library (Python 3)
  A library providing C and Python (libcURL-like) APIs to

## librepo 1.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -39,7 +39,11 @@
 FIND_PACKAGE(CURL 7.52.0 REQUIRED)
 
 IF (USE_GPGME)
-    FIND_PACKAGE(Gpgme REQUIRED)
+    PKG_SEARCH_MODULE(GPGME gpgme)
+    IF (NOT GPGME_FOUND)
+        FIND_PACKAGE(Gpgme REQUIRED)
+        SET (GPGME_LIBRARIES "${GPGME_VANILLA_LIBRARIES}")
+    ENDIF(NOT GPGME_FOUND)
     IF (ENABLE_SELINUX)
         PKG_CHECK_MODULES(SELINUX REQUIRED libselinux)
     ENDIF(ENABLE_SELINUX)

=== librepo/CMakeLists.txt ===
--- 
+++ 
@@ -70,7 +70,7 @@
                         ${GLIB2_LIBRARIES}
                      )
 IF (USE_GPGME)
-    TARGET_LINK_LIBRARIES(librepo ${GPGME_VANILLA_LIBRARIES})
+    TARGET_LINK_LIBRARIES(librepo ${GPGME_LIBRARIES})
     IF (ENABLE_SELINUX)
         TARGET_LINK_LIBRARIES(librepo ${SELINUX_LIBRARIES})
     ENDIF(ENABLE_SELINUX)

=== doc/c/CMakeLists.txt ===
find_package(Doxygen REQUIRED)
CONFIGURE_FILE("Doxyfile.in.in" "${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in" @ONLY)
add_custom_target(doc-c
    ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in
    COMMENT "Building C API documentation with Doxygen" VERBATIM)

=== examples/c/CMakeLists.txt ===
FILE(GLOB one_file_sources RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "*.c")

FOREACH(file_path ${one_file_sources})
  GET_FILENAME_COMPONENT(filename "${file_path}" NAME_WLE)
  ADD_EXECUTABLE("${filename}" "${file_path}")
  TARGET_LINK_LIBRARIES("${filename}" librepo)
ENDFOREACH()

=== examples/c/Makefile ===

# export LD_LIBRARY_PATH="../../build/librepo/"

CC=gcc
CFLAGS= -Wall -Wextra -g -std=c99 -O3 -I../../build/librepo `pkg-config --cflags glib-2.0`
LINKFLAGS= -L../../build/librepo/ -lrepo `pkg-config --libs glib-2.0`

all: \
     download_repo \
     download_low_level_api \
     download_packages \
     download_repo_with_callback \
     fastestmirror \
     fastestmirror_with_callback \
     download_repos_parallel

download_repo:
	$(CC) $(CFLAGS) download_repo.c $(LINKFLAGS) -o download_repo

download_low_level_api:
	$(CC) $(CFLAGS) download_low_level_api.c $(LINKFLAGS) -o download_low_level_api

download_packages:
	$(CC) $(CFLAGS) download_packages.c $(LINKFLAGS) -o download_packages

download_repo_with_callback:
	$(CC) $(CFLAGS) download_repo_with_callback.c $(LINKFLAGS) -o download_repo_with_callback

download_repos_parallel:
	$(CC) $(CFLAGS) download_repos_parallel.c $(LINKFLAGS) -o download_repos_parallel

fastestmirror:
	$(CC) $(CFLAGS) fastestmirror.c $(LINKFLAGS) -o fastestmirror

fastestmirror_with_callback:
	$(CC) $(CFLAGS) fastestmirror_with_callback.c $(LINKFLAGS) -o fastestmirror_with_callback

clean:
	rm -f \
	      download_repo \
	      download_low_level_api \
	      download_packages \
	      download_repo_with_callback \
	      fastestmirror \
	      fastestmirror_with_callback \
	      download_repos_parallel

run:
	LD_LIBRARY_PATH="../../build/librepo/" ./download_repo

=== debian/changelog ===
librepo (1.20.0-1~deb13u1) trixie; urgency=medium

  * Upload to trixie

 -- Luca Boccassi <bluca@debian.org>  Tue, 12 Aug 2025 23:23:26 +0100

librepo (1.20.0-1) unstable; urgency=medium

  * Improve handling of SELinux in the Debian packaging
  * Update upstream source from tag 'upstream/1.20.0'
  * Drop patches merged upstream
  * d/control: bump Standards-Version to 4.7.2, no changes
  * d/copyright: use GPL URL instead of old FSF postal address
  * Add new symbols to librepo0.symbols

 -- Luca Boccassi <bluca@debian.org>  Mon, 21 Jul 2025 16:54:10 +0100

=== debian/control ===
--- 
+++ 
@@ -23,8 +23,9 @@
  python3-flask,
  python3-pyxattr,
  python3-gpg,
+ libselinux1-dev [linux-any],
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/rpm-software-management/librepo
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/librepo
 Vcs-Git: https://salsa.debian.org/pkg-rpm-team/librepo.git

=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,17 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
+include /usr/share/debhelper/dh_package_notes/package-notes.mk
 
+ifneq (linux,$(DEB_HOST_ARCH_OS))
+       EXTRA_CMAKE_ARGS += -DENABLE_SELINUX:BOOL=OFF
+endif
 %:
-	dh "${@}" --buildsystem=cmake --with=python3
+	dh "${@}" --buildsystem=cmake
 
 override_dh_auto_configure:
 	dh_auto_configure --builddirectory=build -- \
-		-DENABLE_DOCS:BOOL=ON -DENABLE_TESTS:BOOL=ON -DWITH_ZCHUNK:BOOL=OFF
+		-DENABLE_DOCS:BOOL=ON -DENABLE_TESTS:BOOL=ON -DWITH_ZCHUNK:BOOL=OFF $(EXTRA_CMAKE_ARGS)
 
 override_dh_auto_build:
 	dh_auto_build --builddirectory=build -- all doc
@@ -35,7 +39,3 @@
 
 override_dh_auto_test:
 	dh_auto_test --builddirectory=build
-
-override_dh_missing:
-	dh_missing --fail-missing
-

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/librepo-$1\.tar\.gz/ \
  https://github.com/rpm-software-management/librepo/tags .*/@ANY_VERSION@\.tar\.gz
